import json
import traceback
from gevent import monkey
monkey.patch_all()

from flask import Flask, request
from log import Log
from config import set_config

app = Flask(__name__)
log_ = Log()
config_ = set_config()


@app.route('/healthcheck')
def health_check():
    return 'ok!'


# 获取热点词库中的所有词
@app.route('/hot/word/getAllWords', methods=['GET', 'POST'])
def get_all_words():
    try:
        request_data = json.loads(request.get_data())
        page_num = request_data.get('pageNum', 1)
        page_size = request_data.get('pageSize', 100)
    except Exception as e:
        log_.error(traceback.format_exc())
        result = {'code': -1, 'message': 'fail'}
        return json.dumps(result)


# 更新热点词的微信指数
@app.route('/hot/word/updateWechatScore', methods=['GET', 'POST'])
def get_all_words():
    try:
        request_data = json.loads(request.get_data())
        data = request_data.get('data', None)
    except Exception as e:
        log_.error(traceback.format_exc())
        result = {'code': -1, 'message': 'fail'}
        return json.dumps(result)


if __name__ == '__main__':
    app.run()
